<?php

/* show HTML header */
function head($title="WishList")
{
  echo "<html>";
  echo "<head>";
  echo "  <title>" . $title . "</title>";
  echo "  <link rel='stylesheet' type='text/css' href='/style.css'";
  echo "</head>";
  echo "<body>";
  echo "<h1>The WishList Application</h1>";
}

/* show HTML footer */
function foot()
{
  echo "<div class='foot'>&copy; 2013 Blah Blah</div>";
  echo "</body>";
  echo "</html>";
}

/* Clean version of die() */
function cleandie($msg)
{
  echo "<h1>FATAL ERROR: " . $msg . "</h1>";
  foot();    // display standard footer
  flush();   // ensure everything has been sent
             //   to the client before quitting
  exit();    // exit cleanly
}

/* connect to database and select the wishlist */
function dbcon()
{
  mysql_connect("localhost", "wishuser", "wishpass") 
    or cleandie ("Failed to connect to db: " . mysql_error());
  mysql_select_db("wishlist") 
      or cleandie ("Failed to select database");
}

/* show a single item, when passed its associative array */
function showitem($itemrow)
{
  echo "<div class='item'>";
  echo "<h2>" . $itemrow['title'] . "</h2>";
  if (!empty($itemrow['image'])) 
    echo "<img src='/showimage.php?id=" . $itemrow['id'] . "'>"; 
  else 
    echo "<img src='/img/noimage.png'>"; 
  echo "<a target='_blank' href='" . $itemrow['url'] . "'>Click to Buy</a>";
  echo " ($" . $itemrow['price'] . ")";
  echo "<br />";
  echo " (opens in new window / tab)";
  /* "clear: both" clears everything up after the left-floated image */
  echo "<div style='clear: both;'></div>";
  echo "</div>";
}

/* show all items, given a particular condition */
function showitems($where)
{
  $result=mysql_query("select * from item " . $where . ";");
  while ($itemrow = mysql_fetch_assoc($result)) {
    showitem($itemrow);
  }
}

?>
